Core - Bug # 62100

Status: Resolved Priority: Should have
Author: tobi no-lastname-given Category:
Created: 2014-10-08 Assigned To:
Updated: 2015-03-19 Due date:
TYPO3 Version: 6.2

PHP Version:

Complexity:

Is Regression: No

Sprint Focus:

Subject: | have no session cookie after using FE_SESSION_KEY
Description

| use the FE_SESSION_KEY to use one login with different (out of Browser) applications. Since typo3 version 6.2 | could still login but
there is no session Cookie set.

The property

AbstractUserAuthentication::dontSetCookie

is confusing me. If it is FALSE it works. if it is TRUE it doesn't. Unfortunatly it is set in
FrontendUserAuthentication::__construct()

to TRUE with the following Comment:

// Disable cookie by default, will be activated if saveSessionData() is called,
/I a user is logging-in or an existing session is found

Unfortunatly it is NEVER activated!
And AbstractUserAuthentication::forceSetCookie has no effect!
And saveSessionData() does not exists!

Here is my workaround in TypoScriptFrontendController (of course there are many ways to fix it):

public function initFEuser() {

...

if (GeneralUtility::_ GP('FE_SESSION_KEY")) {

...
if (md5(($fe_sParts[0] . /' . $this->TYPO3_CONF_VARS['SYS'|['encryptionKey'])) === (string)$fe_sParts[1]) {
...

$this->fe_user->forceSetCookie = 1;
$this->fe_user->dontSetCookie = FALSE; // THIS IS MY FIX

Related issues:
related to Core - Task # 55549: Only set FE user cookie if session data or us... Resolved 2014-02-01

Associated revisions

Revision 8983b318 - 2015-03-19 01:21 - Nils Heuermann

[BUGFIX] Set session cookie when FE_SESSION_KEY is used

When a FE_SESSION_KEY is set in get/post data the cookie for the
frontend user session should be set. Due to changes in #55549 this did
not happen any more. dontSetCookie is now set to FALSE so that the

cookie is set again.

Resolves: #62100

Releases: master, 6.2

Change-Id: Iba9ee3298ba6ff3323ce862c0943cff5d35495d8
Reviewed-on: http://review.typo3.org/34013

Reviewed-by: Frank Nagler <typo3@naegler.net>

Tested-by: Frank Nagler <typo3@naegler.net>
Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

Revision 04effb23 - 2015-03-19 01:21 - Nils Heuermann

[BUGFIX] Set session cookie when FE_SESSION_KEY is used

When a FE_SESSION_KEY is set in get/post data the cookie for the
frontend user session should be set. Due to changes in #55549 this did
not happen any more. dontSetCookie is now set to FALSE so that the
cookie is set again.

Resolves: #62100

Releases: master, 6.2

Change-Id: Iba9ee3298babff3323ce862c0943cff5d35495d8
Reviewed-on: http://review.typo3.org/37939

Reviewed-by: Markus Klein <klein.t3@reelworx.at>

Tested-by: Markus Klein <klein.t3@reelworx.at>

History

#1 - 2014-11-12 14:30 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0rg/34013

#2 - 2015-03-19 01:22 - Gerrit Code Review

Patch set 1 for branch TYPO3_6-2 of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at http://review.typo3.0org/37939

#3 - 2015-03-19 01:30 - Nils Heuermann
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:8983b318bed0541c026cb391798244ad560bd3ce.
